Description: Use a 32-bit count
Author: Stephen Kitt <skitt@debian.org>

The basic test reads a 32-bit value into a long; this breaks on 64-bit
big-endian platforms. Using the target type directly avoids this.

--- a/nufxlib/samples/TestBasic.c
+++ b/nufxlib/samples/TestBasic.c
@@ -806,7 +806,7 @@
     NuRecordIdx recordIdx;
     const NuRecord* pRecord;
     const NuThread* pThread = NULL;
-    long count;
+    uint32_t count;
     int idx;
 
     printf("... deleting first and last\n");
